Subject: Re: SWS for rcvbuf < MTU

From: John Heffner <[email-masked]>
Date: Sat, 03 Mar 2007 18:40:12 -0500

David Miller wrote:
> From: John Heffner <[email-masked]>
> Date: Fri, 02 Mar 2007 16:16:39 -0500
> 
>> Please don't apply the patch I sent.  I've been thinking about this a 
>> bit harder, and it may not fix this particular problem.  (Hard to say 
>> without knowing exactly what it is.)  As the comment above 
>> __tcp_select_window() states, we do not do full receive-side SWS 
>> avoidance because of header prediction.
>>
>> Alex, you're right I missed that special zero-window case.  I'm still 
>> not quite sure I'm completely happy with this patch.  I'd like to think 
>> about this a little bit harder...
> 
> Ok

Alright, I've thought about it a bit more, and I think the patch I sent 
should work.  Alex, any opinion?  Any way you can test this out?

Thanks,
   -John